/*
 *-------------------------------------------------------------------
 *
 *   TestLoop.c -- samples stdin waiting for external commands
 *
 * This file has been created by John S. Gwynne for support of 
 * Motorola's 68332 MCU in the efi332 project.
 * 
 * Redistribution and use in source and binary forms are permitted
 * provided that the following conditions are met:
 * 1. Redistribution of source code and documentation must retain
 *    the above authorship, this list of conditions and the
 *    following disclaimer.
 * 2. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.
 *
 * This software is provided "AS IS" without warranty of any kind,
 * either expressed or implied, including, but not limited to, the
 * implied warranties of merchantability, title and fitness for a
 * particular purpose.
 *
 *------------------------------------------------------------------
 */

#include <stdio.h>
#include <string.h>
#include "system.h"
#include "logger.h"
#include "tpudriver.h"

rtems_task TestLoop(
  rtems_task_argument argument
  )
{
    rtems_id          tid;
    rtems_status_code status;

    char s[LogLineLength+1];
    char cmd[LogLineLength+1];
    int arg;
    int i;

    status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &tid );
    directive_failed( status, "rtems_task_ident" );

    while( FOREVER ) {
	while( !fgets(s,LogLineLength,stdin) );
	while( s[i=strlen(s)-1]=='\n' ) s[i]='\0';
	LOG(LOG_DEBUG,s,strlen(s)+1);

	sscanf(s,"%s %i",cmd,&arg);
	
	if (!strcmp(cmd,"simstart")) {
	    status = rtems_io_open(DevMajorTPU,DevMinorSimulator,NULL);
	    directive_failed( status, "rtems_io_open" );
	}

#warning parameter passed improperly to driver!!!!!
	if (!strcmp(cmd,"simrpm")) {
	    tpuSimPeriod = ((int)(SYS_CLOCK)/TPUDivBy)/arg;
	    LOG(LOG_DEBUG,"sim: rpm set",50);
	}
    }
}
