/*
 *-------------------------------------------------------------------
 *
 *   crank.h -- defines for crank.c
 *
 * This file has been created by John S. Gwynne for support of 
 * Motorola's 68332 MCU in the efi332 project.
 * 
 * Redistribution and use in source and binary forms are permitted
 * provided that the following conditions are met:
 * 1. Redistribution of source code and documentation must retain
 *    the above authorship, this list of conditions and the
 *    following disclaimer.
 * 2. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.
 *
 * This software is provided "AS IS" without warranty of any kind,
 * either expressed or implied, including, but not limited to, the
 * implied warranties of merchantability, title and fitness for a
 * particular purpose.
 *
 *------------------------------------------------------------------
 */

#ifndef _crank_h_
#define _crank_h_


/*
  crankState -- indicates the following engine states:
   crankStalled -- engine not not turning.
   crankTransitioning -- engine crank sensor synchronized; waiting for
      accumulated period to become valid.
   crankRunning -- engine is turning and crank sensor is synchronized.
 */  
extern int crankState;
#define crankStalled 2
#define crankTransitioning 1
#define crankRunning 0

#endif /* _crank_h_ */
